curl --request GET \
--url https://api.firmintent.com/v1/jobs/{job_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.firmintent.com/v1/jobs/{job_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.firmintent.com/v1/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"next_retry_at": "<string>",
"message": "Companies over 100 employees are available on premium plans.",
"company_id": 3384253,
"company": {
"id": 3384253,
"name": "<string>",
"linkedin_url": "<string>",
"website": "<string>",
"domain": "<string>",
"industry": "<string>",
"type": "Privately Held",
"employees_count": 123,
"linkedin_since_est": "2023-11",
"description": "<string>",
"slogan": "<string>",
"specialties": [
"<string>"
],
"location": {
"locality": "<string>",
"region": "<string>",
"country": "Argentina",
"country_code": "AR",
"postal_code": "<string>"
},
"followers": 123,
"last_post_date": "<string>",
"company_language": "en",
"hiring_for": [
"<string>"
],
"logo_url": "<string>",
"has_logo": true,
"recent_posts": [
{
"content": "<string>",
"posted_at": "<string>",
"url": "<string>"
}
]
},
"persona": {
"slug": "<string>",
"name": "<string>"
},
"team_scanned": 123,
"profiles_enriched": 123,
"preliminary_candidates": 123,
"target_people_count": 123,
"target_people": [
{
"rank_in_company": 2,
"is_decision_maker": true,
"why": "<string>",
"person": {
"name": "Jane Doe",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"linkedin_url": "https://www.linkedin.com/in/jane-doe",
"photo_url": "<string>",
"background_url": "<string>",
"location": {
"text": "Glendale, California, United States",
"city": "Glendale",
"region": "California",
"country": "United States",
"country_code": "US"
},
"about": "<string>",
"connections": 123,
"followers": 123,
"member_since": "2011-07-27",
"gender": "unknown",
"outreach_language": "en",
"flags": {
"open_to_work": true,
"hiring": true,
"premium": true,
"verified": true,
"influencer": true,
"creator": true
},
"certifications": [
{
"title": "<string>",
"issued_by": "<string>"
}
],
"interests": {
"groups": [
{
"name": "<string>",
"url": "https://www.linkedin.com/groups/2124257",
"members": 137932
}
],
"newsletters": [
{
"name": "<string>",
"about": "<string>",
"cadence": "monthly"
}
]
},
"featured": [
{
"title": "Argentina Travel Agency",
"subtitle": "01argentina.travel",
"type": "LINK",
"url": "<string>"
}
]
},
"professional": {
"role": "<string>",
"function": "<string>"
},
"contact": {
"email": {
"address": "jane@acme.com",
"status": "valid",
"quality_score": 92,
"catch_all_domain": true,
"valid_email_server": true,
"free": true,
"source": "verified"
},
"websites": [
"<string>"
],
"bio_links": [
{
"url": "<string>",
"title": "<string>"
}
]
},
"experience": [
{
"title": "<string>",
"company": "<string>",
"company_id": 123,
"employment_type": "<string>",
"workplace_type": "<string>",
"start": "<string>",
"end": "<string>",
"duration": "<string>",
"description": "<string>"
}
],
"education": [
{
"school": "<string>",
"degree": "<string>",
"field": "<string>",
"start": "<string>",
"end": "<string>"
}
],
"signals": {
"recommendations_count": 123,
"recommendations": [
{
"by": "<string>",
"by_headline": "<string>",
"text": "<string>"
}
],
"posts_about_own_company": true,
"avg_engagement": 123,
"recent_posts": [
{
"content": "<string>",
"posted_at": "<string>",
"url": "<string>",
"is_repost": true,
"engagement": {
"likes": 123,
"comments": 123,
"shares": 123
}
}
],
"authored_articles": [
{
"title": "<string>",
"link": "<string>",
"published": "<string>"
}
],
"last_active": "2026-06-20"
},
"meta": {
"linkedin_id": "<string>",
"profile_urn": "<string>",
"has_real_photo": true,
"photo_uploaded_at": "<string>",
"photo_expires_at": "<string>"
}
}
],
"credits_charged": 0,
"credits_balance": 7
}{
"error": {
"code": "<string>",
"message": "<string>",
"balance": 123,
"limit": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"balance": 123,
"limit": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Check job status
Return job-owned state; only a published immutable result can be done.
Authorizations
Your brk_live_ API key.
Path Parameters
Response
Successful Response
Poll response. On done final target people are returned inline.
processing | done | not_found | no_employees | no_people_found | too_large | failed | cancelled.
processing, done, not_found, no_employees, no_people_found, too_large, failed, cancelled "done"
active or delayed while status=processing.
active, delayed Current canonical pipeline stage.
match_company, scan_team, enrich_profiles, find_candidates, verify_candidates, match_target ISO timestamp for a delayed automatic retry.
Human-readable explanation for a terminal state that needs one — e.g. why a too_large company was not searched. null otherwise.
"Companies over 100 employees are available on premium plans."
3384253
Shared company context, present on done.
Show child attributes
Show child attributes
The immutable persona snapshot used by this job.
Show child attributes
Show child attributes
Final ranked persona matches, present only on done.
Show child attributes
Show child attributes
Actual numeric charge so far; 0 until/free, 1 after successful metered settlement.
0, 1 1
Your remaining credit balance after this job. Present on done for metered keys.
7